# Tourplaner: tourplaner.object.Log Class Reference

tourplaner.object.Log Class Reference

## Public Member Functions

| Log (String id, double dauer, LocalDate datum, double strecke, String bemerkung, double hightmeter, double pause, String rating)
String | getRating ()
void | setRating (String rating)
String | getBemerkung ()
void | setBemerkung (String bemerkung)
double | getAvgspeed ()
void | setAvgspeed (double avgspeed)
double | getHightmeter ()
void | setHightmeter (double hightmeter)
double | getPause ()
void | setPause (double pause)
double | getGegangen ()
void | setGegangen (double gegangen)
String | getId ()
void | setId (String id)
double | getDauer ()
void | setDauer (double dauer)
LocalDate | getDatum ()
void | setDatum (LocalDate datum)
double | getStrecke ()
void | setStrecke (double strecke)

## Constructor & Destructor Documentation

## Log()

tourplaner.object.Log.Log | ( | String | id,
|  | double | dauer,
|  | LocalDate | datum,
|  | double | strecke,
|  | String | bemerkung,
|  | double | hightmeter,
|  | double | pause,
|  | String | rating
| ) |  |

## Member Function Documentation

## getAvgspeed()

double tourplaner.object.Log.getAvgspeed | ( |  | ) |

## getBemerkung()

String tourplaner.object.Log.getBemerkung | ( |  | ) |

## getDatum()

LocalDate tourplaner.object.Log.getDatum | ( |  | ) |

## getDauer()

double tourplaner.object.Log.getDauer | ( |  | ) |

## getGegangen()

double tourplaner.object.Log.getGegangen | ( |  | ) |

## getHightmeter()

double tourplaner.object.Log.getHightmeter | ( |  | ) |

## getId()

String tourplaner.object.Log.getId | ( |  | ) |

## getPause()

double tourplaner.object.Log.getPause | ( |  | ) |

## getRating()

String tourplaner.object.Log.getRating | ( |  | ) |

## getStrecke()

double tourplaner.object.Log.getStrecke | ( |  | ) |

## setAvgspeed()

void tourplaner.object.Log.setAvgspeed | ( | double | avgspeed | ) |

## setBemerkung()

void tourplaner.object.Log.setBemerkung | ( | String | bemerkung | ) |

## setDatum()

void tourplaner.object.Log.setDatum | ( | LocalDate | datum | ) |

## setDauer()

void tourplaner.object.Log.setDauer | ( | double | dauer | ) |

## setGegangen()

void tourplaner.object.Log.setGegangen | ( | double | gegangen | ) |

## setHightmeter()

void tourplaner.object.Log.setHightmeter | ( | double | hightmeter | ) |

## setId()

void tourplaner.object.Log.setId | ( | String | id | ) |

## setPause()

void tourplaner.object.Log.setPause | ( | double | pause | ) |

## setRating()

void tourplaner.object.Log.setRating | ( | String | rating | ) |

## setStrecke()

void tourplaner.object.Log.setStrecke | ( | double | strecke | ) |

The documentation for this class was generated from the following file:

- src/tourplaner/object/Log.java